# MumbleServer::Group

## Overview

### struct Group

A group. Groups are defined per channel, and can inherit members from parent channels.

#### Used By

GroupList

## Data Member Index

name
  Group name
inherited
  Is this group inherited from a parent channel? Read-only.
inherit
  Does this group inherit members from parent channels?
inheritable
  Can subchannels inherit members from this group?
add
  List of users to add to the group.
remove
  List of inherited users to remove from the group.
members
  Current members of the group, including inherited members.

## Data Members

string name;

  Group name

bool inherited;

  Is this group inherited from a parent channel? Read-only.

bool inherit;

  Does this group inherit members from parent channels?

bool inheritable;

  Can subchannels inherit members from this group?

IntList add;

  List of users to add to the group.

IntList remove;

  List of inherited users to remove from the group.

IntList members;

  Current members of the group, including inherited members. Read-only.